org.apache.calcite.avatica.util

## Class AbstractCursor.ObjectAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ObjectAccessor

All Implemented Interfaces:
  Cursor.Accessor

Direct Known Subclasses:
  AbstractCursor.DateAccessor, AbstractCursor.TimeAccessor, AbstractCursor.TimestampAccessor, AbstractCursor.TimestampFromUtilDateAccessor

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.ObjectAccessor
    extends AbstractCursor.AccessorImpl

Accessor that assumes that the underlying value is an OBJECT; corresponds to `Types.JAVA_OBJECT`.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
Constructor and Description
`ObjectAccessor(AbstractCursor.Getter getter)`

### Method Summary

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getString, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectAccessor

    public ObjectAccessor(AbstractCursor.Getter getter)